# Simplifies the existing tags for amenity and building for top-level tags

amenity_values = {
    "bar": "sustenance",
    "biergarten": "sustenance",
    "cafe": "sustenance",
    "fast_food": "sustenance",
    "food_court": "sustenance",
    "ice_cream": "sustenance",
    "pub": "sustenance",
    "restaurant": "sustenance",
    "college": "education",
    "driving_school": "education",
    "kindergarten": "education",
    "language_school": "education",
    "library": "education",
    "toy_library": "education",
    "music_school": "education",
    "school": "education",
    "university": "education",
    "bicycle_parking": "transportation",
    "bicycle_repair_station": "transportation",
    "bicycle_rental": "transportation",
    "boat_rental": "transportation",
    "boat_sharing": "transportation",
    "bus_station": "transportation",
    "car_rental": "transportation",
    "car_sharing": "transportation",
    "car_wash": "transportation",
    "vehicle_inspection": "transportation",
    "charging_station": "transportation",
    "ferry_terminal": "transportation",
    "fuel": "transportation",
    "grit_bin": "transportation",
    "motorcycle_parking": "transportation",
    "parking": "transportation",
    "parking_entrance": "transportation",
    "parking_space": "transportation",
    "taxi": "transportation",
    "atm": "financial",
    "bank": "financial",
    "bureau_de_change": "financial",
    "baby_hatch": "healthcare",
    "clinic": "healthcare",
    "dentist": "healthcare",
    "doctors": "healthcare",
    "hospital": "healthcare",
    "nursing_home": "healthcare",
    "pharmacy": "healthcare",
    "social_facility": "healthcare",
    "veterinary": "healthcare",
    "arts_centre": "entertainment_arts_culture",
    "brothel": "entertainment_arts_culture",
    "casino": "entertainment_arts_culture",
    "cinema": "entertainment_arts_culture",
    "community_centre": "entertainment_arts_culture",
    "conference_centre": "entertainment_arts_culture",
    "events_venue": "entertainment_arts_culture",
    "fountain": "entertainment_arts_culture",
    "gambling": "entertainment_arts_culture",
    "love_hotel": "entertainment_arts_culture",
    "nightclub": "entertainment_arts_culture",
    "planetarium": "entertainment_arts_culture",
    "public_bookcase": "entertainment_arts_culture",
    "social_centre": "entertainment_arts_culture",
    "stripclub": "entertainment_arts_culture",
    "studio": "entertainment_arts_culture",
    "swingerclub": "entertainment_arts_culture",
    "theatre": "entertainment_arts_culture",
    "courthouse": "public_service",
    "embassy": "public_service",
    "fire_station": "public_service",
    "police": "public_service",
    "post_box": "public_service",
    "post_depot": "public_service",
    "post_office": "public_service",
    "prison": "public_service",
    "ranger_station": "public_service",
    "townhall": "public_service",
    "bbq": "facilities",
    "bench": "facilities",
    "dog_toilet": "facilities",
    "drinking_water": "facilities",
    "give_box": "facilities",
    "parcel_locker": "facilities",
    "shelter": "facilities",
    "shower": "facilities",
    "telephone": "facilities",
    "toilets": "facilities",
    "water_point": "facilities",
    "watering_place": "facilities",
    "sanitary_dump_station": "waste_management",
    "recycling": "waste_management",
    "waste_basket": "waste_management",
    "waste_disposal": "waste_management",
    "waste_transfer_station": "waste_management",
    "animal_boarding": "others",
    "animal_breeding": "others",
    "animal_shelter": "others",
    "baking_oven": "others",
    "childcare": "others",
    "clock": "others",
    "crematorium": "others",
    "dive_centre": "others",
    "funeral_hall": "others",
    "grave_yard": "others",
    "gym": "others",
    "hunting_stand": "others",
    "internet_cafe": "others",
    "kitchen": "others",
    "kneipp_water_cure": "others",
    "lounger": "others",
    "marketplace": "others",
    "monastery": "others",
    "photo_booth": "others",
    "place_of_mourning": "others",
    "place_of_worship": "others",
    "public_bath": "others",
    "public_building": "others",
    "refugee_site": "others",
    "vending_machine": "others",
    "user defined": "others",
    0: "undetermined",
}

building_values = {
    "apartments": "residential",
    "barracks": "residential",
    "bungalow": "residential",
    "cabin": "residential",
    "detached": "residential",
    "dormitory": "residential",
    "farm": "residential",
    "ger": "residential",
    "hotel": "temporary_accommodation",
    "house": "residential",
    "houseboat": "residential",
    "residential": "residential",
    "semidetached_house": "residential",
    "static_caravan": "residential",
    "terrace": "residential",
    "commercial": "commercial",
    "industrial": "commercial",
    "kiosk": "commercial",
    "office": "commercial",
    "retail": "commercial",
    "supermarket": "commercial",
    "warehouse": "commercial",
    "cathedral": "Religious",
    "chapel": "Religious",
    "church": "Religious",
    "kingdom_hall": "Religious",
    "monastery": "Religious",
    "mosque": "Religious",
    "presbytery": "Religious",
    "religious": "Religious",
    "shrine": "Religious",
    "synagogue": "Religious",
    "temple": "Religious",
    "bakehouse": "civic_amenity",
    "civic": "civic_amenity",
    "college": "civic_amenity",
    "fire_station": "civic_amenity",
    "government": "civic_amenity",
    "hospital": "civic_amenity",
    "kindergarten": "civic_amenity",
    "public": "civic_amenity",
    "school": "civic_amenity",
    "toilets": "civic_amenity",
    "train_station": "civic_amenity",
    "transportation": "civic_amenity",
    "university": "civic_amenity",
    "barn": "agriculture_plant_production",
    "conservatory": "agriculture_plant_production",
    "cowshed": "agriculture_plant_production",
    "farm_auxiliary": "agriculture_plant_production",
    "greenhouse": "agriculture_plant_production",
    "slurry_tank": "agriculture_plant_production",
    "stable": "agriculture_plant_production",
    "sty": "agriculture_plant_production",
    "grandstand": "sports",
    "pavilion": "sports",
    "riding_hall": "sports",
    "sports_hall": "sports",
    "stadium": "sports",
    "hangar": "storage",
    "hut": "storage",
    "shed": "storage",
    "carport": "cars",
    "garage": "cars",
    "garages": "cars",
    "parking": "cars",
    "digester": "power_technical",
    "service": "power_technical",
    "transformer_tower": "power_technical",
    "water_tower": "power_technical",
    "beach_hut": "others",
    "bunker": "others",
    "bridge": "others",
    "castle": "others",
    "construction": "others",
    "container": "others",
    "gatehouse": "others",
    "military": "others",
    "roof": "others",
    "ruins": "others",
    "tent": "others",
    "tree_house": "others",
    "yes": "undetermined",
    0: "undetermined",
}
